Rewards
Unreject Reward
Moves a rejected reward back to pending, so it becomes payable to the advocate again. Use this to undo a rejection made by mistake. The stored reject_reason is cleared. Only rejected rewards can be unrejected.
POST
/
v1
/
rewards
/
{id}
/
unreject
Unreject Reward
curl --request POST \
--url https://api.getreditus.com/api/v1/rewards/{id}/unreject \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getreditus.com/api/v1/rewards/{id}/unreject"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreditus.com/api/v1/rewards/{id}/unreject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreditus.com/api/v1/rewards/{id}/unreject",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getreditus.com/api/v1/rewards/{id}/unreject"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getreditus.com/api/v1/rewards/{id}/unreject")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getreditus.com/api/v1/rewards/{id}/unreject")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"id": "<string>",
"advocate_id": "<string>",
"advocate_uid": "<string>",
"lead_id": "<string>",
"lead_email": "<string>",
"amount": 123,
"currency": "<string>",
"state": "<string>",
"reject_reason": "<string>",
"created_at": 123,
"updated_at": 123
}
}
}{
"errors": [
{
"title": "<string>",
"details": "Reward not found"
}
]
}{
"errors": [
{
"title": "Unprocessable entity",
"details": "Reward in state 'paid' cannot be rejected"
}
]
}⌘I
Unreject Reward
curl --request POST \
--url https://api.getreditus.com/api/v1/rewards/{id}/unreject \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getreditus.com/api/v1/rewards/{id}/unreject"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreditus.com/api/v1/rewards/{id}/unreject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreditus.com/api/v1/rewards/{id}/unreject",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getreditus.com/api/v1/rewards/{id}/unreject"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getreditus.com/api/v1/rewards/{id}/unreject")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getreditus.com/api/v1/rewards/{id}/unreject")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"id": "<string>",
"advocate_id": "<string>",
"advocate_uid": "<string>",
"lead_id": "<string>",
"lead_email": "<string>",
"amount": 123,
"currency": "<string>",
"state": "<string>",
"reject_reason": "<string>",
"created_at": 123,
"updated_at": 123
}
}
}{
"errors": [
{
"title": "<string>",
"details": "Reward not found"
}
]
}{
"errors": [
{
"title": "Unprocessable entity",
"details": "Reward in state 'paid' cannot be rejected"
}
]
}